import * as SQS from 'aws-sdk/clients/sqs';
import { Consumer, ConsumerOptions } from 'sqs-consumer';
import { OperationName, OperationConfiguration } from './types';
export declare type MessageHandler = (message: SQS.Types.Message) => Promise<void>;
export declare function createMessageHandler<TContext>(config: CreateConsumerInput<TContext>): MessageHandler;
export interface CreateConsumerInput<ContextType> {
    routes: Record<OperationName, OperationConfiguration>;
    contextProvider(message: SQS.Types.Message): Promise<ContextType>;
    consumerOptions?: ConsumerOptions;
}
export declare function createTaskConsumer<TContext>(config: CreateConsumerInput<TContext>): Consumer;
